#! /usr/bin/python3
#
# AUTHOR:
# Doug Brown <doug@schmorgal.com>
#
# This file is part of GDebi
#
# GDebi is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2 of the License, or (at
# your option) any later version.
#
# GDebi is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GDebi; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

import sys
import subprocess

# This script exists so that pkexec can be called correctly. GDebiGtk.py cannot
# directly use os.execv to run pkexec, because when it is called from GUI
# applications such as Firefox, it is orphaned and thus parented by init. pkexec
# doesn't like being called like that. This script acts as a parent.

cmd = ["/usr/bin/pkexec", "gdebi-gtk"]
cmd += sys.argv[1:]

result = subprocess.call(cmd)
sys.exit(result)
